#version 450
#extension GL_ARB_separate_shader_objects : enable

struct shader_input_0
{
	float4 position : POSITION0;
	float2 texcoord : TEXCOORD0;
	float4 colour : COLOUR0;
};

struct shader_output_0
{
	float4 colour : COLOUR0;
};

layout(binding = 0) uniform sampler2D sTexture;

void main()
{
    shader_output_0.colour = shader_input_0.colour * texture(sTexture, shader_input_0.texcoord.st);
}