#pragma once

#include "platform.h"

#include <vector>

struct AppDesc
{

};

class App : AppDesc
{
public:
    virtual void setup() = 0;
    virtual void shutdown() = 0;
    virtual void processInput(std::vector<utils::InputEvent>& events) = 0;
    virtual void update() = 0;
    virtual void render() = 0;
    virtual void resize(u32 width, u32 height) = 0;
    virtual u32  getGFXFeatureFlags() { return 0; }
};

App* createApp(const AppDesc& desc);