-- premake5.lua
dofile "globals.lua"

project "QuickGFX"
	location "build"
	kind "StaticLib"
	language "C++"
	targetdir "bin/%{cfg.buildcfg}"
	
    includedirs
    {
        "include",
        "third_party/tinyobj",
        "third_party/pystring"
    }
	
    files 
    {
        "include/*.h",
        "source/*.cpp",
        "third_party/imgui/*.*",
        "third_party/pystring/pystring.cpp"
    }
	
    setup_platform()
	
	filter "configurations:Debug"
		defines { "DEBUG" }
		symbols "On"

	filter "configurations:Release"
		defines { "NDEBUG" }
		optimize "On"