project "mesh_tool"
    location("build")
    kind "ConsoleApp"
    language "C++"
    targetdir ("bin/%{cfg.buildcfg}")
    debugdir("bin/%{cfg.buildcfg}")
    systemversion "latest"
    characterset "MBCS"
    cppdialect "C++17"
    
    includedirs
    {
        "include",
        "../../third_party/pystring",
        "../../third_party/tinyobj",
        "../../third_party/glm"
    }
    
    files 
    {
        "include/*.h",
        "source/*.cpp",
        "../../third_party/pystring/pystring.cpp"
    }
    
    filter "configurations:debug"
		defines { "DEBUG" }
		symbols "On"

	filter "configurations:release"
		defines { "NDEBUG" }
		optimize "On"